import { Config } from '@backstage/config';
import { Knex } from 'knex';
import { Logger } from 'winston';
import { Stitcher, StitchingStrategy } from './types';
/**
 * Performs the act of stitching - to take all of the various outputs from the
 * ingestion process, and stitching them together into the final entity JSON
 * shape.
 */
export declare class DefaultStitcher implements Stitcher {
    #private;
    private readonly knex;
    private readonly logger;
    private readonly strategy;
    private readonly tracker;
    private stopFunc?;
    static fromConfig(config: Config, options: {
        knex: Knex;
        logger: Logger;
    }): DefaultStitcher;
    constructor(options: {
        knex: Knex;
        logger: Logger;
        strategy: StitchingStrategy;
    });
    stitch(options: {
        entityRefs?: Iterable<string>;
        entityIds?: Iterable<string>;
    }): Promise<void>;
    start(): Promise<void>;
    stop(): Promise<void>;
}
